| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
IG.Forms.AlignmentTestForm Class Reference

Test form, used only to test if control can be inclded in the form.. More...

Inheritance diagram for IG.Forms.AlignmentTestForm:
[legend]
Collaboration diagram for IG.Forms.AlignmentTestForm:
[legend]

## Public Member Functions
| AlignmentTestForm ()
Public Member Functions inherited from IG.Forms.IClosableFromContainedForm
void | Close ()

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Properties
string | Title`[get]`
int | Id`[get]`
| Unique ID for objects of the currnet and derived classes. More...

## Private Member Functions
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
IG.Forms.TestControl | testControl1
IG.Forms.AlignmentControl | alignmentControl1
WindowShiftControlText | windowShiftControlRelative1

## Detailed Description

Test form, used only to test if control can be inclded in the form..

This is a dummy control used for various tests such as window positioning.

$A Igor Oct09;

## Constructor & Destructor Documentation

IG.Forms.AlignmentTestForm.AlignmentTestForm | ( |  | ) |
| inline

## Member Function Documentation

override void IG.Forms.AlignmentTestForm.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.AlignmentTestForm.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

System.ComponentModel.IContainer IG.Forms.AlignmentTestForm.components = null
| private

Required designer variable.

IG.Forms.TestControl IG.Forms.AlignmentTestForm.testControl1
| private

IG.Forms.AlignmentControl IG.Forms.AlignmentTestForm.alignmentControl1
| private

WindowShiftControlText IG.Forms.AlignmentTestForm.windowShiftControlRelative1
| private

## Property Documentation

string IG.Forms.AlignmentTestForm.Title
| get

int IG.Forms.AlignmentTestForm.Id
| get

Unique ID for objects of the currnet and derived classes.

Returns the ID of the embedded test control (of type AlignmentControlOld).

The documentation for this class was generated from the following files:

- igforms/Utilities/WindowPositioner/AlignmentTestForm.cs
- igforms/Utilities/WindowPositioner/AlignmentTestForm.Designer.cs